MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031459Community[OCCT] OCCT:Visualizationpublic2020-03-23 11:012020-03-28 13:46
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytweak 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031459: Visualization, AIS_TextLabel - add missing getters
DescriptionAIS_TextLabel has AIS_TextLabel::SetText() but no getter for this property, which is apparently could be useful (other missing getters to properties to be also checked).
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0091256)
git (administrator)
2020-03-26 10:04

Branch CR31459 has been created by mzernova.

SHA-1: 25edf133e9e8953be7c26a3bf97fa1ea49dbce4f


Detailed log of new commits:

Author: mzernova
Date: Thu Mar 26 10:03:48 2020 +0300

    0031459: Visualization, AIS_TextLabel - add missing getters
    
    Add getters for Text, Fond and FontAspect properties
(0091257)
mzernova (developer)
2020-03-26 10:06

The patch CR31459 is ready to review
(0091258)
kgv (developer)
2020-03-26 11:06
edited on: 2020-03-26 11:07

+  Standard_EXPORT const TCollection_ExtendedString& Text() const { return myText; }
+  Standard_EXPORT const TCollection_AsciiString& GetFontName() const { return myFont; }
+  Standard_EXPORT const Font_FontAspect& GetFontAspect() const { return myFontAspect; }

Unexpected EXPORT of inline methods.

 158   myFont = theFont;
...
+  myFontAspect = theFontAspect;

It would be better removing duplicated properties and rely on myDrawer->TextAspect().

GetFontName(), GetFontAspect()

Better FontName()/FontAspect() for consistency with other getters in the class.

(0091276)
git (administrator)
2020-03-26 17:05

Branch CR31459 has been updated by mzernova.

SHA-1: eebdb85afc22c81b584bb07a98fa9d3eb4820fae


Detailed log of new commits:

Author: mzernova
Date: Thu Mar 26 16:59:32 2020 +0300

    remarks from kgv

(0091277)
git (administrator)
2020-03-26 17:06

Branch CR31459_1 has been created by mzernova.

SHA-1: 8f41a0ac4998d909ad69b6fae93f2db0b9a47940


Detailed log of new commits:

Author: mzernova
Date: Thu Mar 26 10:03:48 2020 +0300

    0031459: Visualization, AIS_TextLabel - add missing getters
    
    Add getters for Text, Fond and FontAspect properties
(0091278)
mzernova (developer)
2020-03-26 17:06

The patch CR31459 is ready to review
(0091279)
kgv (developer)
2020-03-26 17:16

+const Font_FontAspect AIS_TextLabel::FontAspect() const

Redundant const for non-reference return.

+  myDrawer->TextAspect()->SetFont ("Courier");

As previously "Courier" was ignored, it is better removing this line to preserve previous result.
(0091280)
git (administrator)
2020-03-26 17:35

Branch CR31459 has been updated by mzernova.

SHA-1: e13d6ce9f9319fab352bbed5d6fd3052159d8d72


Detailed log of new commits:

Author: mzernova
Date: Thu Mar 26 17:31:21 2020 +0300

    remarks from kgv

(0091281)
git (administrator)
2020-03-26 17:35

Branch CR31459_1 has been updated forcibly by mzernova.

SHA-1: ddb68ee5bf319e04ee2ed02caabab42eff69c928
(0091282)
mzernova (developer)
2020-03-26 17:36

The patch CR31459 is ready to review
(0091283)
kgv (developer)
2020-03-26 17:47

Please raise the patch in OCCT branch CR31459_1.
(0091304)
bugmaster (administrator)
2020-03-27 14:57

Combination -
OCCT branch : WEEK-13
master SHA - 64943a5187fa485536cd2dd1dd4d51b13d189b89
fe4497f3246e6bc1ced97ac331c148f0809ded15
Products branch : WEEK-13 SHA - f10b867b449ebfa55e0a3c8cb276ae511f9cf7f2
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16868.620000000134 / 16846.320000000138 [+0.13%]
Products
Total CPU difference: 11317.180000000084 / 11306.210000000074 [+0.10%]
Windows-64-VC14:
OCCT
Total CPU difference: 18288.046875 / 18268.796875 [+0.11%]
Products
Total CPU difference: 13120.859375 / 13110.609375 [+0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0091317)
git (administrator)
2020-03-28 13:46

Branch CR31459_1 has been deleted by inv.

SHA-1: ddb68ee5bf319e04ee2ed02caabab42eff69c928
(0091318)
git (administrator)
2020-03-28 13:46

Branch CR31459 has been deleted by inv.

SHA-1: e13d6ce9f9319fab352bbed5d6fd3052159d8d72

- Related Changesets
occt: master 64943a51
Timestamp: 2020-03-26 07:03:48
Author: mzernova
Committer: bugmaster
Details ] Diff ]
0031459: Visualization, AIS_TextLabel - add missing getters

Add getters for Text, FontName and FontAspect
Remove duplicate properties: Font and FontAspect
mod - src/AIS/AIS_TextLabel.cxx Diff ] File ]
mod - src/AIS/AIS_TextLabel.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-03-23 11:01 kgv New Issue
2020-03-23 11:01 kgv Assigned To => mzernova
2020-03-26 10:04 git Note Added: 0091256
2020-03-26 10:06 mzernova Note Added: 0091257
2020-03-26 10:06 mzernova Assigned To mzernova => kgv
2020-03-26 10:06 mzernova Status new => resolved
2020-03-26 10:06 mzernova Steps to Reproduce Updated View Revisions
2020-03-26 11:06 kgv Note Added: 0091258
2020-03-26 11:07 kgv Note Edited: 0091258 View Revisions
2020-03-26 11:07 kgv Assigned To kgv => mzernova
2020-03-26 11:07 kgv Status resolved => assigned
2020-03-26 17:05 git Note Added: 0091276
2020-03-26 17:06 git Note Added: 0091277
2020-03-26 17:06 mzernova Note Added: 0091278
2020-03-26 17:06 mzernova Assigned To mzernova => kgv
2020-03-26 17:06 mzernova Status assigned => resolved
2020-03-26 17:16 kgv Note Added: 0091279
2020-03-26 17:16 kgv Assigned To kgv => mzernova
2020-03-26 17:16 kgv Status resolved => assigned
2020-03-26 17:35 git Note Added: 0091280
2020-03-26 17:35 git Note Added: 0091281
2020-03-26 17:36 mzernova Note Added: 0091282
2020-03-26 17:36 mzernova Assigned To mzernova => kgv
2020-03-26 17:36 mzernova Status assigned => resolved
2020-03-26 17:47 kgv Note Added: 0091283
2020-03-26 17:47 kgv Assigned To kgv => bugmaster
2020-03-26 17:47 kgv Status resolved => reviewed
2020-03-26 17:47 kgv Product Version => 7.4.0
2020-03-26 17:48 kgv Relationship added child of 0022785
2020-03-26 17:48 kgv Product Version 7.4.0 => 6.9.0
2020-03-27 14:57 bugmaster Note Added: 0091304
2020-03-27 14:57 bugmaster Status reviewed => tested
2020-03-27 15:01 bugmaster Test case number => Not required
2020-03-28 13:36 bugmaster Changeset attached => occt master 64943a51
2020-03-28 13:36 bugmaster Status tested => verified
2020-03-28 13:36 bugmaster Resolution open => fixed
2020-03-28 13:46 git Note Added: 0091317
2020-03-28 13:46 git Note Added: 0091318


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker